### Method

# Gegl Buffer flush_ext

#### Declaration [src]

    void
    gegl_buffer_flush_ext (
      GeglBuffer* buffer,
      const GeglRectangle* rect
    )

#### Description [src]

Invokes the external flush function, if any is set on the provided buffer - this ensures that data pending - in the current implementation only OpenCL - externally to be synchronized with the buffer. Multi threaded code should call such a synchronization before branching out to avoid each of the threads having an implicit synchronization of its own.

#### Parameters

`rect`

  Type: `GeglRectangle`

  Rectangle.

  The data is owned by the caller of the method.